Passer au contenu principal
GET
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
account-activity
Get Vendor Account Activity
curl --request GET \
  --url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/account-activity \
  --header 'Authorization: Bearer <token>'
{
  "currencyCode": "<string>",
  "lines": [
    {
      "amount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "reasonType": "<string>"
    }
  ]
}

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI.

Paramètres de chemin

external-vendor-id
string
requis

The External ID of the Vendor to retrieve.

Minimum string length: 1

Paramètres de requête

start_date
string<date-time> | null
requis

The start of the date range for which to retrieve. Must include the Timezone definition.

end_date
string<date-time> | null
requis

The end of the date range for which to retrieve. Must include the Timezone definition.

Réponse

Successful Response

Response body for the Vendor Account Activity fetch.

currencyCode
string
requis
lines
BillingAccountActivityLine · object[]
requis